Skip to main content
GET
/
v3
/
{customerId}
/
categorization
/
login
/
{loginId}
/
requestid
/
{requestId}
Get Categorization
curl --request GET \
  --url https://{instance}-api.private.fin.ag/v3/{customerId}/categorization/login/{loginId}/requestid/{requestId}
{
  "HttpStatusCode": 200,
  "LoginId": "a1b2c3d4-5e6f-7890-abcd-ef1234567890",
  "RequestId": "f9e8d7c6-b5a4-3210-9876-543210fedcba",
  "Transactions": [
    {
      "TransactionId": "da4cb17a-2798-4eb0-a40a-69d3d1e1ae70",
      "AccountId": "74141696-a808-4e6d-93b6-b758cdd749e7",
      "Description": "Point of Sale - Visa Debit VISA Debit RETAIL PURCHASE ATLANTIC LOTTER 215020217028",
      "Category": "Entertainment",
      "SubCategory": "Gambling",
      "Balance": 2793.61,
      "Debit": 10,
      "Date": "2022-05-31"
    },
    {
      "TransactionId": "fafc01e8-1971-4ba3-b7a4-2105c326ef69",
      "AccountId": "74141696-a808-4e6d-93b6-b758cdd749e7",
      "Description": "Point of Sale - INTERAC RETAIL PURCHASE 215015119851 SP CURLYS SPORT",
      "Category": "Food and Dining",
      "SubCategory": "Restaurants",
      "Balance": 2803.61,
      "Debit": 9.18,
      "Date": "2022-05-30"
    },
    {
      "TransactionId": "25176d2e-5f15-4d83-a104-d3d38652bf8a",
      "AccountId": "74141696-a808-4e6d-93b6-b758cdd749e7",
      "Description": "Point of Sale - INTERAC MDSE RETURN 000001001663 KENT AMHERST",
      "Category": "Transfers and Adjustments",
      "SubCategory": "Balance Adjustment",
      "Balance": 2812.79,
      "credit": 268.03,
      "Date": "2022-05-30"
    },
    {
      "TransactionId": "ffb757ef-7faf-441a-86f2-a799c9338e06",
      "AccountId": "74141696-a808-4e6d-93b6-b758cdd749e7",
      "Description": "Point of Sale - INTERAC RETAIL PURCHASE 214912259678 PITA PIT",
      "Category": "Food and Dining",
      "SubCategory": "Fast Food",
      "Balance": 2544.76,
      "Debit": 34.24,
      "Date": "2022-05-30"
    },
    {
      "TransactionId": "c3f3158b-909c-4969-b2e6-0d8e3139b4ce",
      "AccountId": "74141696-a808-4e6d-93b6-b758cdd749e7",
      "Description": "Point of Sale - INTERAC RETAIL PURCHASE 000001034052 CIRCLE K / IRVI",
      "Category": "Goods and Merchandise",
      "SubCategory": "General Merchandise",
      "Balance": 2579,
      "Debit": 5.3,
      "Date": "2022-05-30"
    }
  ]
}
Broad Categorization is a service at Flinks that provides financial and behavioural insights by assigning categories to your customers’ transactions. The /GetCategorization endpoint is used by the Broad Categorization service and returns categorized transactional data. This data is aggregated by Flinks through the /GetAccountsDetail endpoint for the customer whose loginId is passed in the path parameter.

Path Parameters

customerId
string
default:43387ca6-0391-4c82-857d-70d95f087ecb
required

Unique GUID provided by Flinks that grants you access to the environment.

loginId
string
required

A unique identifier that represents the login information for the customer.

requestId
string
required

A unique identifier that represents a successful call to the /Authorize endpoint.

Response

Success

HttpStatusCode
integer

HTTP status code of the response.

LoginId
string

Unique identifier for the end user's login.

RequestId
string

GUID representing an authorized request to the API.

Transactions
object[]

Array of categorized transaction records.